%define	name	qmail-mrtg
%define	rname	qmailmrtg
%define	version	2.3
%define	release	3rph
%define	stats	/var/www/html/stats/qmail

Summary:	Qmail MRTG Stat collector
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Other
URL:		http://dev.prodigysolutions.com/
Source0:	%{rname}.%{version}.tar.bz2
Source1:	index.html.bz2
Source2:	qmail-mrtg.cfg.bz2
Source3:	.htaccess.bz2
Requires:	mrtg qmail
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Qmail MRTG Stat collector 

%prep
%setup -q -n %{rname}.%{version}

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
cd qmailmrtg
gcc %{optflags} -Wall -o %{name} main.c

%install
install -d %{buildroot}%{_sysconfdir}/cron.d/
install -d %{buildroot}%{stats}
install -d %{buildroot}%{_bindir}
install -s -m 755 qmailmrtg/%{name} %{buildroot}%{_bindir}/%{name}
install -m 755 qmailmrtg/%{name}-queue %{buildroot}%{_bindir}/
install -m 644 qmailmrtg/qmail.mrtg.cfg %{buildroot}%{stats}/%{name}.cfg
bzcat %{SOURCE1} > %{buildroot}%{stats}/index.html
bzcat %{SOURCE2} > %{buildroot}%{stats}/qmail-mrtg.cfg
bzcat %{SOURCE3} > %{buildroot}%{stats}/.htaccess

# fix the cron stuff... (the right way?)
echo "*/5 * * * *    root    %{_bindir}/mrtg %{stats}/%{name}.cfg" > %{buildroot}%{_sysconfdir}/cron.d/%{name}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc README
%config(noreplace) %{_sysconfdir}/cron.d/%{name}
%config(noreplace) %{stats}/%{name}.cfg
%config(noreplace) %{stats}/index.html
%config(noreplace) %{stats}/.htaccess
#%ghost %config(missingok,noreplace) %{stats}/messages.html
#%ghost %config(missingok,noreplace) %{stats}/queue-size.html
#%ghost %config(missingok,noreplace) %{stats}/concurrency.html
#%ghost %config(missingok,noreplace) %{stats}/messstatus.html
#%ghost %config(missingok,noreplace) %{stats}/bytes.html
#%ghost %config(missingok,noreplace) %{stats}/*.png
%{_bindir}/*

%changelog
* Fri Aug  9 2002 Vincent Danen <vdanen@mandrakesoft.com> 2.3-3rph
- build for 9.0
- some spec cleanups

* Mon Apr 15 2002 Vincent Danen <vdanen@mandrakesoft.com> 2.3-2rph
- rebuild for rpmhelp.net

* Wed Nov 28 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.3-1mdk
- initial cooker contrib
- coded S1, S2 & S3 for Mandrake.

